Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 279012 - file collisions: sys-kernel/linux-headers-2.6.30, media-sound/alsa-headers, x11-libs/libdrm
Summary: file collisions: sys-kernel/linux-headers-2.6.30, media-sound/alsa-headers, x...
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-25 05:23 UTC by nuitari
Modified: 2009-07-26 20:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nuitari 2009-07-25 05:23:25 UTC
sys-kernel/linux-headers-2.6.30 introduces collisions with at leasts 

media-sound/alsa-headers-1.0.20
 *      /usr/include/sound/sscape_ioctl.h
 *      /usr/include/sound/sfnt_info.h
 *      /usr/include/sound/sb16_csp.h
 *      /usr/include/sound/hdspm.h
 *      /usr/include/sound/hdsp.h
 *      /usr/include/sound/emu10k1.h
 *      /usr/include/sound/asound_fm.h
 *      /usr/include/sound/asound.h
 *      /usr/include/sound/asequencer.h


x11-libs/libdrm-2.4.12
 *      /usr/include/drm/via_drm.h
 *      /usr/include/drm/sis_drm.h
 *      /usr/include/drm/savage_drm.h
 *      /usr/include/drm/radeon_drm.h
 *      /usr/include/drm/r128_drm.h
 *      /usr/include/drm/mga_drm.h
 *      /usr/include/drm/i915_drm.h
 *      /usr/include/drm/drm_sarea.h
 *      /usr/include/drm/drm_mode.h
 *      /usr/include/drm/drm.h


Reproducible: Always

Steps to Reproduce:
This is a setup of kde-meta and xorg on a new installation ~amd64
Comment 1 Rémi Cardona gentoo-dev 2009-07-26 14:20:57 UTC
linux-headers isn't supposed to install drm headers. (I believe the situation is the same for alsa) Line 44 and 45 of the ebuild [1] clearly show that.

@toolchain, has something changed in kconfig or something?

Thanks

http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-kernel/linux-headers/linux-headers-2.6.30-r1.ebuild?annotate=1.1
Comment 2 SpanKY gentoo-dev 2009-07-26 17:38:55 UTC
post an actual build log as well as `emerge --info` -- standard stuff that should be in every bug report like the documentation already says

if this were a common issue, we'd have seen bug reports much sooner and many dups
Comment 3 nuitari 2009-07-26 17:52:54 UTC
saruman ~ # emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r4-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-gentoo-2.0.1
Timestamp of tree: Sun, 26 Jul 2009 07:00:01 +0000
app-shells/bash:     4.0_p24
dev-lang/python:     2.5.4-r3, 2.6.2-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-testing"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X acl alsa amd64 berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gnome gpm gtk iconv isdnlog midi mmx mmx2 mng mp3 mudflap multilib ncurses nls nptl nptlonly opengl openmp pam pcre perl pppd python qt3support readline reflection session spl sse sse2 ssl svg sysfs tcpd unicode usb webkit xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


And this is what happens with alsa-headers:
saruman ~ # emerge -1v alsa-headers

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] media-sound/alsa-headers-1.0.20  0 kB

Total: 1 package (1 new), Size of downloads: 0 kB


>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-sound/alsa-headers-1.0.20
 * alsa-driver-1.0.20.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                         [ ok ]
 * checking ebuild checksums ;-) ...                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                [ ok ]
>>> Unpacking source...
>>> Unpacking alsa-driver-1.0.20.tar.bz2 to /var/tmp/portage/media-sound/alsa-headers-1.0.20/work
 * Applying alsa-headers-1.0.6a-user.patch ...                                                                         [ ok ]
>>> Source unpacked in /var/tmp/portage/media-sound/alsa-headers-1.0.20/work
>>> Compiling source in /var/tmp/portage/media-sound/alsa-headers-1.0.20/work/alsa-driver-1.0.20 ...
>>> Source compiled.
>>> Test phase [not enabled]: media-sound/alsa-headers-1.0.20

>>> Install alsa-headers-1.0.20 into /var/tmp/portage/media-sound/alsa-headers-1.0.20/image/ category media-sound
>>> Completed installing alsa-headers-1.0.20 into /var/tmp/portage/media-sound/alsa-headers-1.0.20/image/


>>> Installing (1 of 1) media-sound/alsa-headers-1.0.20
 * checking 83 files for package collisions
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *      /usr/include/sound/sscape_ioctl.h
 *      /usr/include/sound/sfnt_info.h
 *      /usr/include/sound/sb16_csp.h
 *      /usr/include/sound/hdspm.h
 *      /usr/include/sound/hdsp.h
 *      /usr/include/sound/emu10k1.h
 *      /usr/include/sound/asound_fm.h
 *      /usr/include/sound/asound.h
 *      /usr/include/sound/asequencer.h
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * sys-kernel/linux-headers-2.6.30
 *      /usr/include/sound/asequencer.h
 *      /usr/include/sound/asound.h
 *      /usr/include/sound/asound_fm.h
 *      /usr/include/sound/emu10k1.h
 *      /usr/include/sound/hdsp.h
 *      /usr/include/sound/hdspm.h
 *      /usr/include/sound/sb16_csp.h
 *      /usr/include/sound/sfnt_info.h
 *      /usr/include/sound/sscape_ioctl.h
 *
 * Package 'media-sound/alsa-headers-1.0.20' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.

>>> Failed to install media-sound/alsa-headers-1.0.20, Log file:

>>>  '/var/tmp/portage/media-sound/alsa-headers-1.0.20/temp/build.log'

The build.log file does not contain any more information.
Comment 4 nuitari 2009-07-26 17:53:47 UTC
This is a fresh install from stage3-amd64-20090716.tar.bz2
Comment 5 SpanKY gentoo-dev 2009-07-26 18:06:39 UTC
i dont care about the other packages.  the build log of linux-headers matters.  always post build logs as attachments, not inline comments.
Comment 6 nuitari 2009-07-26 20:02:36 UTC
linux-headers-2.6.30-r1 either fixed it, or works since rm didn't get stuck in it's infinite loop. That's another bug that has been annoying me for a few months on new install from the installcd, but I got no way to easily reproduce it.